# $Revision: 1.23 $, $Date: 2011/07/01 23:07:11 $
Summary:	SVG rendering using Cairo
Summary(pl.UTF-8):	Renderowanie SVG przy użyciu Cairo
Name:		libsvg-cairo
Version:	0.1.6
Release:	9
License:	LGPL v2+
Group:		Libraries
Source0:	http://cairographics.org/snapshots/%{name}-%{version}.tar.gz
# Source0-md5:	d79da7b3a60ad8c8e4b902c9b3563047
Patch0:		%{name}-ac.patch
URL:		http://cairographics.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cairo-devel >= 1.0.0
BuildRequires:	libsvg-devel >= 0.1.2
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	cairo >= 0.5.0
Requires:	libsvg >= 0.1.2
Obsoletes:	libxsvg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libxsvg provides the ability to render SVG content from files or
buffers. All rendering is performed using the Cairo rendering library
(formerly called Xr).

%description -l pl.UTF-8
libxsvg daje możliwość renderowania danych SVG z plików lub buforów.
Całość renderowania jest wykonywana przy użyciu biblioteki
renderującej Cairo (dawniej nazywanej Xr).

%package devel
Summary:	Header files for libxsvg library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxsvg
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 0.5.0
Requires:	libsvg-devel >= 0.1.2
Obsoletes:	libxsvg-devel

%description devel
Header files for libxsvg library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libxsvg.

%package static
Summary:	Static libxsvg library
Summary(pl.UTF-8):	Statyczna biblioteka libxsvg
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libxsvg-static

%description static
Static libxsvg library.

%description static -l pl.UTF-8
Statyczna biblioteka libxsvg.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libsvg-cairo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvg-cairo.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvg-cairo.so
%{_includedir}/svg-cairo.h
%{_pkgconfigdir}/libsvg-cairo.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsvg-cairo.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsvg-cairo.spec,v $
Revision 1.23  2011/07/01 23:07:11  lisu
- drop libtool file
- rel 9

Revision 1.22  2010/10/31 07:16:18  qboosh
- updated URL (xsvg.org is no longer valid)
- ghost soname symlink, more verbose files

Revision 1.21  2009/05/13 14:21:13  baggins
- rel 8

Revision 1.20  2008/12/07 20:17:16  hawk
- fix building with recent autoconf/libtool

Revision 1.19  2008/12/07 19:12:27  hawk
- release 6

Revision 1.18  2008/07/27 22:23:18  arekm
- release 5

Revision 1.17  2007-02-13 06:46:52  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.15  2006/07/09 19:25:46  pluto
- release 4 for kill libpng12.la deps.

Revision 1.14  2006/06/19 21:20:54  freetz
- rel.3

Revision 1.13  2005/10/30 12:16:21  arekm
- rel 2

Revision 1.12  2005/08/28 17:28:55  arekm
-req final cairo

Revision 1.11  2005/06/19 09:00:49  qboosh
- don't include COPYING with a copy of LGPL text in doc

Revision 1.10  2005/06/19 08:59:55  qboosh
- License is LGPL now

Revision 1.9  2005/06/19 08:58:16  qboosh
- updated to 0.1.6 (for cairo 0.5.0)

Revision 1.8  2005/05/05 16:12:29  pluto
- release 2 for Th.

Revision 1.7  2005/02/19 01:00:17  qboosh
- updated to 0.1.5

Revision 1.6  2004/08/17 11:44:46  ankry
- rel. 3 to rebuild

Revision 1.5  2004/01/19 16:08:35  qboosh
- BR: libtool

Revision 1.4  2004/01/19 16:07:54  undefine
- libtoolize

Revision 1.3  2004/01/19 00:42:49  undefine
- ac, am, release 2

Revision 1.2  2003/12/17 21:47:31  qboosh
- updated to 0.1.4, fixed libsvg-devel BR

Revision 1.1  2003/12/09 22:38:37  qboosh
- libxsvg has been renamed to libsvg-cairo
- updated to 0.1.3

Revision 1.2  2003/11/24 21:48:13  qboosh
- md5

Revision 1.1  2003/11/24 21:40:14  qboosh
- new
